
/*******************************************************************************
* VxWorks attach point is in the PERIPHERALS folder
*******************************************************************************/

Folder FOLDER_ppc405_0_drv_CSP {
  NAME       Xilinx ppc405_0_drv CSP
  SYNOPSIS   Chip Support Package for the Xilinx ppc405_0_drv FPGA
  _CHILDREN  FOLDER_PERIPHERALS
}



/*******************************************************************************
* SPI component and parameters
*******************************************************************************/

Folder FOLDER_ppc405_0_drv_SPI {
  NAME       SPI
  SYNOPSIS   SPI Support
  _CHILDREN  FOLDER_ppc405_0_drv_CSP
}

Component INCLUDE_XSPI {
  NAME       SPI interface
  SYNOPSIS   SPI interface
  REQUIRES   
  _CHILDREN  FOLDER_ppc405_0_drv_SPI
}

/*******************************************************************************
* System ACE component and parameters
*******************************************************************************/

Folder FOLDER_ppc405_0_drv_SYSACE {
  NAME       System ACE
  SYNOPSIS   System ACE support
  _CHILDREN  FOLDER_ppc405_0_drv_CSP
}

Component INCLUDE_XSYSACE {
  NAME       System ACE
  SYNOPSIS   Xilinx System ACE driver version
  REQUIRES   
  _CHILDREN  FOLDER_ppc405_0_drv_SYSACE
}

/*******************************************************************************
* Interrupt controller
*******************************************************************************/

Folder FOLDER_ppc405_0_drv_INTC {
  NAME       Interrupt controller Core
  SYNOPSIS   Interrupt controller Core
  _CHILDREN  FOLDER_ppc405_0_drv_CSP
}

Component INCLUDE_XINTC {
  NAME       INTC
  SYNOPSIS   Xilinx Interrupt controller
  REQUIRES   
  _CHILDREN  FOLDER_ppc405_0_drv_INTC
}

/*******************************************************************************
* OPB arbiter component and parameters
*******************************************************************************/

Folder FOLDER_ppc405_0_drv_OPBARB {
  NAME       OPB Arbiter
  SYNOPSIS   OPB Arbiter support
  _CHILDREN  FOLDER_ppc405_0_drv_CSP
}

Component INCLUDE_XOPBARB {
  NAME       OPB arbiter interface
  SYNOPSIS   OPB arbiter interface
  REQUIRES   
  _CHILDREN  FOLDER_ppc405_0_drv_OPBARB
}

/*******************************************************************************
* PCI component and parameters
*******************************************************************************/

Folder FOLDER_ppc405_0_drv_PCI {
  NAME       PCI Bridge
  SYNOPSIS   PCI Bridge support
  _CHILDREN  FOLDER_ppc405_0_drv_CSP
}

Component INCLUDE_XPCI {
  NAME       PCI Bridge interface
  SYNOPSIS   PCI Bridge interface
  REQUIRES   
  _CHILDREN  FOLDER_ppc405_0_drv_PCI
}


/*******************************************************************************
* PCI adapter
*******************************************************************************/

Component INCLUDE_XPCI_VXWORKS5_4 {
  NAME       PCI ADAPTER
  SYNOPSIS   Xilinx PCI Adapter driver add-on 
  REQUIRES   INCLUDE_XPCI INCLUDE_PCI
  _CHILDREN  FOLDER_ppc405_0_drv_PCI
}


/*******************************************************************************
* PLB arbiter component and parameters
*******************************************************************************/

Folder FOLDER_ppc405_0_drv_PLBARB {
  NAME       PLB Arbiter
  SYNOPSIS   PLB Arbiter support
  _CHILDREN  FOLDER_ppc405_0_drv_CSP
}

Component INCLUDE_XPLBARB {
  NAME       PLB arbiter interface
  SYNOPSIS   PLB arbiter interface
  REQUIRES   
  _CHILDREN  FOLDER_ppc405_0_drv_PLBARB
}

/*******************************************************************************
* System ACE block adapter
*******************************************************************************/

Component INCLUDE_XSYSACE_VXWORKS5_4 {
  NAME       System ACE block adapter
  SYNOPSIS   System ACE block adapter
  REQUIRES   INCLUDE_XSYSACE
  _CHILDREN  FOLDER_ppc405_0_drv_SYSACE
}


/*******************************************************************************
* Ethernet component and parameters
*******************************************************************************/

Folder FOLDER_ppc405_0_drv_TEMAC {
  NAME       Tri-Mode Ethernet Core
  SYNOPSIS   Tri-Mode Ethernet Core
  _CHILDREN  FOLDER_ppc405_0_drv_CSP
}

Component INCLUDE_XTEMAC {
  NAME       TEMAC
  SYNOPSIS   Xilinx Tri-Mode Ethernet driver
  REQUIRES   
  _CHILDREN  FOLDER_ppc405_0_drv_TEMAC
}


/*******************************************************************************
* Ethernet adapter
*******************************************************************************/

Component INCLUDE_XTEMAC_VXWORKS5_4 {
  NAME       TEMAC END
  SYNOPSIS   Xilinx Tri-Mode MAC END driver add-on 
  REQUIRES   INCLUDE_XTEMAC INCLUDE_END
  _CHILDREN  FOLDER_ppc405_0_drv_TEMAC
}

/*******************************************************************************
* UART component and parameters
*******************************************************************************/

Folder FOLDER_ppc405_0_drv_UARTNS550 {
  NAME       UART 16550 Core
  SYNOPSIS   UART 16550 Core
  _CHILDREN  FOLDER_ppc405_0_drv_CSP
}

Component INCLUDE_XUARTNS550 {
  NAME       UART 16550
  SYNOPSIS   Xilinx 16550 UART driver 
  REQUIRES   
  _CHILDREN  FOLDER_ppc405_0_drv_UARTNS550
}


/*******************************************************************************
* UART NS550 SIO adapter
*******************************************************************************/

Component INCLUDE_XUARTNS550_VXWORKS5_4 {
  NAME       UART 16550 SIO
  SYNOPSIS   Xilinx 16550 UART SIO driver add-on 
  REQUIRES   INCLUDE_XUARTNS550
  _CHILDREN  FOLDER_ppc405_0_drv_UARTNS550
}

